DCMTK: DcmProfileMap Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmProfileMap Class Reference

this helper class maintains a map of association negotiation profile keys. More...

## Public Member Functions
| DcmProfileMap ()
| constructor
| ~DcmProfileMap ()
| destructor
| DcmProfileMap (const DcmProfileMap &arg)
| copy constructor, creates deep copy
DcmProfileMap & | operator= (const DcmProfileMap &arg)
| copy constructor, creates deep copy
OFMap< OFString, DcmProfileEntry * >::const_iterator | begin ()
| const iterator pointing to start of profile map
OFMap< OFString, DcmProfileEntry * >::const_iterator | end ()
| const iterator pointing to end of profile map (behind last profile entry)
const DcmProfileEntry * | getProfile (const OFString &name)
| return profile entry from profile map by its name
void | clear ()
| Resets DcmProfileMap and frees any allocated memory.
OFCondition | add (const char *key, const char *presentationContextKey, const char *roleSelectionKey, const char *extendedNegotiationKey)
| add new entry to list within map.
OFBool | isKnownKey (const char *key) const
| checks if the key is known
const char * | getPresentationContextKey (const char *key) const
| returns the presentation context key for the given profile
const char * | getRoleSelectionKey (const char *key) const
| returns the role selection key for the given profile
const char * | getExtendedNegotiationKey (const char *key) const
| returns the extended negotiation key for the given profile

## Private Attributes
OFMap< OFString, DcmProfileEntry * > | map_
| map of profiles

## Detailed Description

this helper class maintains a map of association negotiation profile keys.

Not intended for use by the end user.

## Member Function Documentation

## ◆ add()

OFCondition DcmProfileMap::add | ( | const char * | key,
|  | const char * | presentationContextKey,
|  | const char * | roleSelectionKey,
|  | const char * | extendedNegotiationKey )

add new entry to list within map.

Parameters

  key | map key, must not exist in map
  presentationContextKey | symbolic identifier of the presentation context list, must not be NULL
  roleSelectionKey | symbolic identifier of the role selection list, may be NULL
  extendedNegotiationKey | symbolic identifier of the extended negotiation list, may be NULL

Returns
  EC_Normal if successful, an error code otherwise

## ◆ begin()

OFMap< OFString, DcmProfileEntry * >::const_iterator DcmProfileMap::begin | ( |  | ) |

const iterator pointing to start of profile map

Returns
  iterator to start of profile map

## ◆ end()

OFMap< OFString, DcmProfileEntry * >::const_iterator DcmProfileMap::end | ( |  | ) |

const iterator pointing to end of profile map (behind last profile entry)

Returns
  iterator to end of profile map

## ◆ getExtendedNegotiationKey()

const char * DcmProfileMap::getExtendedNegotiationKey | ( | const char * | key | ) | const

returns the extended negotiation key for the given profile

Parameters

  key | key name, must not be NULL

Returns
  extended negotiation key, NULL if not found or empty

## ◆ getPresentationContextKey()

const char * DcmProfileMap::getPresentationContextKey | ( | const char * | key | ) | const

returns the presentation context key for the given profile

Parameters

  key | key name, must not be NULL

Returns
  presentation context key, NULL if not found

## ◆ getProfile()

const DcmProfileEntry * DcmProfileMap::getProfile | ( | const OFString & | name | ) |

return profile entry from profile map by its name

Parameters

  name | The name of the profile, empty if unknown

Returns
  the profile

## ◆ getRoleSelectionKey()

const char * DcmProfileMap::getRoleSelectionKey | ( | const char * | key | ) | const

returns the role selection key for the given profile

Parameters

  key | key name, must not be NULL

Returns
  role selection key, NULL if not found or empty

## ◆ isKnownKey()

OFBool DcmProfileMap::isKnownKey | ( | const char * | key | ) | const

checks if the key is known

Parameters

  key | key name, must not be NULL

Returns
  true if key is known, false otherwise

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfprmp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2